%% Read Model

clear all;
close all;

%% Baseline parameters (a structure called P)
P = struct();

%% Parameters taken from Carabenciov and others (2008)
% Transitory parameters
P.rho         = 0.9239;
P.alpha1      = 0.7453;
P.alpha2      = 0.1711;
P.alpha3      = 0.3339;
P.tau         = 0.0768;
P.beta1       = 0.8523;
P.beta2       = 0.1674;
P.beta3       = 0.1270;
P.lambda1     = 0.7272;
P.lambda2     = 0.1937;
P.gamma1      = 0.7087;
P.gamma2      = 1.2679;
P.gamma4      = 0.2192;
P.kappa       = 19.994;
P.theta       = 1.2824;

% Steady-state parameters
P.rr_bar_ss   = 1.8221;
P.growth_ss   = 2.6016;
P.pietar_ss   = 2.5000;

% Standard deviations of shocks
P.std_RES_RR_BAR  = 0.0934;
P.std_RES_RS      = 0.4643;
P.std_RES_G       = 0.3486;
P.std_RES_Y       = 0.3567;
P.std_RES_LGDP_BAR= 0.0483;
P.std_RES_PIE     = 1.3598;
P.std_RES_UNR_GAP = 0.0943;
P.std_RES_UNR_BAR = 0.0466;
P.std_RES_UNR_G   = 0.0455;
P.std_RES_BLT     = 0.8082;
P.std_RES_BLT_BAR = 0.0928;


%% Read model code, assign parameters and create model object.

m = model('GPM_HFI.model','Assign',P, 'linear',true);
m = solve(m);
m = sstate(m);


%% Save the model object for future use.
savestruct('GPM_HFI.mat',m);
 



